'Created by: X
'Copyright: Created by: X
'Web: http://www.createdbyx.com/
'Date: March 27, 2004
'=============================================
Imports Microsoft
Imports Microsoft.DirectX
Imports Microsoft.DirectX.Direct3D.Cull
Imports Microsoft.DirectX.Direct3D.FillMode
Imports Microsoft.DirectX.Direct3D.ShadeMode
Imports CBX.Libs

''' <summary>
''' Provides a set of interfaces.
''' </summary>
Namespace Interfaces

    ''' <summary>
    ''' Provides a base interface for stored geometry.
    ''' </summary>
    Public Interface IGeometry
        ''' <summary>
        ''' Gets/Sets the number of vertexes that are stored.
        ''' </summary>
        ''' <returns>Returns the number of vertexes that are stored.</returns>
        Property VertexCount() As Integer
        ''' <summary>
        ''' Retrieves the vertex format for the internaly stored vertex structure.
        ''' </summary>
        ''' <returns>Retrieves the vertex format for the internaly stored vertex structure.</returns>
        ReadOnly Property Format() As Direct3D.VertexFormats
        ''' <summary>
        ''' Retrieves the size of the internaly stored vertex structure.
        ''' </summary>
        ''' <returns>Retrieves the size of the internaly stored vertex structure.</returns>
        ReadOnly Property StrideSize() As Integer
        ''' <summary>
        ''' Gets/Sets the manner in which the vertexes are stored.
        ''' </summary>
        ''' <returns>Returns the manner in which the vertexes are stored.</returns>
        Property PrimitiveType() As Direct3D.PrimitiveType
        ''' <summary>
        ''' Gets the number primitives based on the numbers of verts and the PrimitiveType property.
        ''' </summary>
        ''' <returns>Returns the number primitives based on the numbers of verts and the PrimitiveType property.</returns>
        Function GetPrimitiveCount() As Integer
    End Interface
End Namespace